<?php

/**
 * @file
 * Implement actions on user changes.  These are D7-specific, never used in D6.
 */

/**
 * Implements hook_user_delete().
 *
 * Delete any reminders associated with this user.
 *
 * @param user $account
 *   Account being deleted.
 */
function datereminder_user_delete($account) {
  module_load_include('inc', 'datereminder', DATEREMINDER_DB);
  $uid = $account->uid;
  _datereminder_delete_uids(array($account->uid));
}

/**
 * Implements hook_user_cancel().
 *
 * @param arrray $edit
 *   Array of form values from user.
 * @param user $account
 *   The user object.
 * @param string $method
 *   Account cancellation mentod.
 */
function datereminder_user_cancel($edit, $account, $method) {
  // For the purposes of Date Reminder, there's no reason to keep reminders
  // for a cancelled user.
  datereminder_user_delete($account);
}
